# Default
#style.cpp.32=$(font.base)
# White space
#style.cpp.0=fore:#808080
# Comment: /* */.
#style.cpp.1=$(colour.code.comment.box),$(font.code.comment.box)
# Line Comment: //.
#style.cpp.2=$(colour.code.comment.line),$(font.code.comment.line)
# Doc comment: block comments beginning with /** or /*!
#style.cpp.3=$(colour.code.comment.doc),$(font.code.comment.doc)
# Number
#style.cpp.4=$(colour.number)
# Keyword
#style.cpp.5=$(colour.keyword),bold
# Double quoted string
#style.cpp.6=$(colour.string)
# Single quoted string
#style.cpp.7=$(colour.char)
# UUIDs (only in IDL)
#style.cpp.8=fore:#804080
# Preprocessor
#style.cpp.9=$(colour.preproc)
# Operators
#style.cpp.10=$(colour.operator),bold
# Identifiers
style.cpp.11=$(lantern.identifier)
# End of line where string is not closed
style.cpp.12=$(lantern.error)
# Verbatim strings for C#
#style.cpp.13=fore:#007F00,$(font.monospace),back:#E0FFE0,eolfilled
# Regular expressions for JavaScript
style.cpp.14=$(lantern.regex)
# Doc Comment Line: line comments beginning with /// or //!.
#style.cpp.15=$(colour.code.comment.doc),$(font.code.comment.doc)
# Keywords2
#style.cpp.16=fore:#B00040
# Comment keyword
#style.cpp.17=fore:#3060A0,$(font.code.comment.doc)
# Comment keyword error
#style.cpp.18=fore:#804020,$(font.code.comment.doc)
# Global class
#style.cpp.19=fore:#DD9900
# Raw strings for C++0x
#style.cpp.20=$(colour.string),back:#FFF3FF,eolfilled
# Triple-quoted strings for Vala
#style.cpp.21=$(font.monospace),fore:#007F00,back:#E0FFE0,eolfilled
# Hash-quoted strings for Pike
#style.cpp.22=$(font.monospace),fore:#007F00,back:#E7FFD7,eolfilled
# Preprocessor stream comment
#style.cpp.23=fore:#659900
# Preprocessor stream doc comment
#style.cpp.24=$(colour.code.comment.doc)
# User defined literals
#style.cpp.25=fore:#C06000
# Task Marker
#style.cpp.26=fore:#BE07FF,$(font.code.comment.line)
# Escape sequence
#style.cpp.27=$(colour.string)

# Inactive states are 64 greater than their active counterparts

# White space
#style.cpp.64=fore:#C0C0C0
# Comment: /* */.
#style.cpp.65=$(style.cpp.1),fore:#90B090
# Line Comment: //.
#style.cpp.66=$(style.cpp.2),fore:#90B090
# Doc comment: block comments beginning with /** or /*!
#style.cpp.67=$(style.cpp.3),fore:#D0D0D0
# Number
#style.cpp.68=$(style.cpp.4),fore:#90B0B0
# Keyword
#style.cpp.69=$(style.cpp.5),fore:#9090B0
# Double quoted string
#style.cpp.70=$(style.cpp.6),fore:#B090B0
# Single quoted string
#style.cpp.71=$(style.cpp.7),fore:#B090B0
# UUIDs (only in IDL)
#style.cpp.72=$(style.cpp.8),fore:#C0C0C0
# Preprocessor
#style.cpp.73=$(style.cpp.9),fore:#B0B090
# Operators
#style.cpp.74=$(style.cpp.10),fore:#B0B0B0
# Identifiers
#style.cpp.75=$(style.cpp.11),fore:#B0B0B0
# End of line where string is not closed
#style.cpp.76=$(style.cpp.12),fore:#000000
# Verbatim strings for C#
#style.cpp.77=$(style.cpp.13),fore:#90B090
# Regular expressions for JavaScript
#style.cpp.78=$(style.cpp.14),fore:#7FAF7F
# Doc Comment Line: line comments beginning with /// or //!.
#style.cpp.79=$(style.cpp.15),fore:#C0C0C0
# Keywords2
#style.cpp.80=$(style.cpp.16),fore:#C0C0C0
# Comment keyword
#style.cpp.81=$(style.cpp.17),fore:#C0C0C0
# Comment keyword error
#style.cpp.82=$(style.cpp.18),fore:#C0C0C0
# Raw strings for C++0x
#style.cpp.84=$(style.cpp.20),fore:#B090B0
# Triple-quoted strings for Vala
#style.cpp.85=$(style.cpp.21),fore:#90B090
# Hash-quoted strings for Pike
#style.cpp.86=$(style.cpp.22),fore:#90B090
# Preprocessor stream comment
#style.cpp.87=$(style.cpp.23),fore:#A0C090
# Preprocessor stream doc comment
#style.cpp.88=$(style.cpp.23),fore:#C0C0C0
# User defined literals
#style.cpp.89=fore:#D7A090
# Task Marker
#style.cpp.90=fore:#C3A1CF,$(font.code.comment.line)